'updated 5/26/2020
' 
'This file is the Unisoft library for Test.  The Unisoft software looks here and matches the part numbers of the 						
'components on the PC Board with the part numbers below.  Then it uses the data below to fill out information about the 						
'components on the PC Board (value, tolerance, etc).  It then uses that information to create the output files to program 						
'the Test Equipment. 						
'						
'Common fields below are Part Number(PN), Value(VAL), Upper Tolerance(UT)  & Lower Tolerance(LT).						
'The other fields are specific for the Test equipment you are creating the output files for.  
' --
'For example the field below labeled TTAK is the device type field for the Takaya Flying Probe ATE test equipment and some of the 
'device types are R, C, D, FET, L, IC, Q, SHORT and C-NET for that tester.  	
' --
'Also for example the field below labeled TTER is the device type field for the Teradyne .IPL ATE test equipment and some of the 
'device types are C, R, D, Z, IC, QN, and QP for that tester.	
' --
'Another example the field below labeled TKEY is the device type field for the Keysight/Agilent/HP ICT ATE test equipment and some of the 
'device types are CONN, FETP & FETN, FUSE, L & L(res=), J & J(type=), POT, SWITCH, QN & QP, C, R, and D for that tester.
' For more details on Keysight/Agilent/HP ICT ATE go to www.unisoft-cim.com/keysight-agilent-hp-ict-ate.html
'
' -----------------				
' 
'In the row below   1=PN   2=TTAK    3=VAL    4=UT      5=LT      6=IGN     7=TGEN	8=TTER 9=TKEY
'The number is the field for the data type.  
'For example   1=PN  indicates the part number is in field one below.
'
'2=TTAK indicates the 2nd field is the device type field for the Takaya Flying Probe ATE.  		
'3=VAL  indicates that the value is in the third field. 
'4=UT  indicates that the Upper Tolerance is in the fourth field. 
'5=LT  indicates that the Upper Tolerance is in the fifth field, etc. 
'6=  *  indicates to ignore that field. 
'7=TGEN indicates the 7nd field is the device type field for the GenRAD .CKT ATE	
'8=TTER indicates the 8th field is the device type field for the Teradyne .IPL ATE	
'9=TKEY indicates the 9th field is the device type field for the Keysight/Agilent/HP ICT ATE
' 					
'The fields below must be separated by a TAB.  To skip a field either insert a     *    or leave it blank but it must contain a TAB to 
'denote the field.	
'					
'Contact Unisoft for details and training.	
'					
' ------------------------------------------------------------------------------------------------------						
						
						
'Part #    Takaya      Value     Upper    Lower    Ignore    Genrad      Teradyne	Keysight/Agilent				
'               Type                         tol.         tol.                        Type		   IPL		ICT ATE

1=PN      2=TTAK    3=VAL    4=UT      5=LT      6=IGN     7=TGEN    8=TTER   9=TKEY
			
						
DUMMY-RES1	R	1KO	1	1	*	R	R	R
DUMMY-RES5	R	1KO	5	5	*	R	R	R
DUMMY-CAP20	C	10UF	20	20	*	CP	C	C
DUMMY-IND20	L	10UF	20	20	*	L	L	L
DUMMY-FET	FET	10	2	2	*	JFET	JFET	FETP
DUMMY-TRANS	Q	2	1	1	*	QN	QN	QN
DUMMY-IC	IC	*	*	*	*	74LS244	74LS244	74LS244
						


'Below are the part numbers defined for the Unisoft sample pcb supplied which has the file name   sample3  . 	

163044300	JP	*	*	*	*	123	123	J
162171901	SH	*	*	*	*	CONN123	CONN123	NT
167441881	Q	0.7	25	25	*	QN	QN	QN
381200-40-1	SHORT	*	*	*	*	CONN40	CONN40	NT
381200-66-4	*	*	*	*	*	TP1	TP1	TP1
381212-44-1	D	*	7	7	*	CR	D	D
385848-05-6	D	*	7	6	*	CR	D	D
386754-99-4	SHORT	*	*	*	*	CONN36	CONN36	NT
389148-06-7	*	*	*	*	*	CONN2	CONN2	NT
390579-03-3	*	*	*	*	*	PLCC68	PLCC68	PLCC68
390607-01-0	*	*	*	*	*	PLCC44	PLCC44	PLCC44
391727-10-9	R	150ko	1	1	*	R	R	R
391727-12-5	R	2.21ko	1	1	*	R	R	R
391727-13-3	R	6.81ko	1	1	*	R	R	R
391727-14-1	R	10ko	1	1	*	R	R	R
391729-02-0	R	4.75ko	1	1	*	R	R	R
391770-01-2	*	*	*	*	*	RPAK16	IC	RPAK16	
391770-02-0	*	*	*	*	*	RPAK16	IC	RPAK16
391777-06-8	C	0.1uf	20	20	*	C	C	C
391777-08-4	C	0.22uf	20	20	*	C	C	C
391781-01-4	C	10.0uf	20	20	*	C	C	C
391809-01-6	*	*	*	*	*	16V8Z	16V8Z	16V8Z
391818-06-6	*	*	*	*	*	74HC14	74HC14	74HC14
391822-01-2	SHORT	*	*	*	*	74ABT16244	74ABT16244	74ABT16244
391822-02-0	C-NET	*	*	*	*	74ABT16374XXX	74ABT16374XXX	74ABT16374XXX
391822-03-9	C-NET	*	*	*	*	74ABT16374	74ABT16374	74ABT16374
391829-03-3	C-NET	*	*	*	*	74HCT640	74HCT640	74HCT640
395382-01-7	SHORT	*	*	*	*	CONN12	CONN12	NT
395383-01-3	SHORT	*	*	*	*	CONN12	CONN12	NT
395422-01-9	*	*	*	*	*	ILD251	ILD251	ILD251
396051-01-4	SHORT	*	*	*	*	RELAY9	RELAY9	RELAY9
